# HierarchyBuilderOrderBased.CloseElements (ARX GUI Documentation)

org.deidentifier.arx.aggregates

## Class HierarchyBuilderOrderBased.CloseElements<T>

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderGroupingBased.AbstractGroup
  - - org.deidentifier.arx.aggregates.HierarchyBuilderOrderBased.CloseElements<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    HierarchyBuilderOrderBased<T>

      protected class HierarchyBuilderOrderBased.CloseElements<T>
      extends HierarchyBuilderGroupingBased.AbstractGroup

  Internal helper class
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HierarchyBuilderOrderBased.CloseElements(java.lang.String[] values, AggregateFunction<T> function)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String[]` | `getValues()` Returns the values
    `protected HierarchyBuilderOrderBased.CloseElements` | `merge(java.util.List<HierarchyBuilderOrderBased.CloseElements<T>> list, AggregateFunction<T> function)` Method

    - ### Methods inherited from class org.deidentifier.arx.aggregates.HierarchyBuilderGroupingBased.AbstractGroup

      `getLabel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchyBuilderOrderBased.CloseElements

          protected HierarchyBuilderOrderBased.CloseElements(java.lang.String[] values,
                                                  AggregateFunction<T> function)

      Creates a new instance
      Parameters:
        `values` -
        `function` -

  - ### Method Detail

    - #### getValues

          protected java.lang.String[] getValues()

      Returns the values
      Returns:

    - #### merge

          protected HierarchyBuilderOrderBased.CloseElements merge(java.util.List<HierarchyBuilderOrderBased.CloseElements<T>> list,
                                                       AggregateFunction<T> function)

      Method
      Parameters:
        `list` -
        `function` -
      Returns: